<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InterfaceViaRouteResult_V4 StructType
 * @subpackage Structs
 */
class InterfaceViaRouteResult_V4 extends InterfaceViaRouteResult_V3
{
    /**
     * The TransicsId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $TransicsId;
    /**
     * Constructor method for InterfaceViaRouteResult_V4
     * @uses InterfaceViaRouteResult_V4::setTransicsId()
     * @param int $transicsId
     */
    public function __construct($transicsId = null)
    {
        $this
            ->setTransicsId($transicsId);
    }
    /**
     * Get TransicsId value
     * @return int
     */
    public function getTransicsId()
    {
        return $this->TransicsId;
    }
    /**
     * Set TransicsId value
     * @param int $transicsId
     * @return \StructType\InterfaceViaRouteResult_V4
     */
    public function setTransicsId($transicsId = null)
    {
        // validation for constraint: int
        if (!is_null($transicsId) && !(is_int($transicsId) || ctype_digit($transicsId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($transicsId, true), gettype($transicsId)), __LINE__);
        }
        $this->TransicsId = $transicsId;
        return $this;
    }
}
